Package org.apache.tapestry5.internal.structure

# Class ComponentPageElementResourcesSourceImpl

java.lang.Object
org.apache.tapestry5.internal.structure.ComponentPageElementResourcesSourceImpl

All Implemented Interfaces:
  `ComponentPageElementResourcesSource`

public class ComponentPageElementResourcesSourceImpl extends Object implements ComponentPageElementResourcesSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentPageElementResourcesSourceImpl(ComponentMessagesSource componentMessagesSource, TypeCoercer typeCoercer, ComponentClassCache componentClassCache, ContextValueEncoder contextValueEncoder, LinkSource linkSource, RequestPageCache requestPageCache, ComponentClassResolver componentClassResolver, LoggerSource loggerSource, OperationTracker tracker, PerthreadManager perThreadManager, boolean productionMode, boolean componentTracingEnabled, RequestGlobals requestGlobals)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComponentPageElementResources`
  `get(ComponentResourceSelector selector)`
  Gets (or creates) an instance of `ComponentPageElementResources` for the indicated selector.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ComponentPageElementResourcesSourceImpl

    public ComponentPageElementResourcesSourceImpl(ComponentMessagesSource componentMessagesSource, TypeCoercer typeCoercer, ComponentClassCache componentClassCache, ContextValueEncoder contextValueEncoder, LinkSource linkSource, RequestPageCache requestPageCache, ComponentClassResolver componentClassResolver, LoggerSource loggerSource, OperationTracker tracker, PerthreadManager perThreadManager, @Symbol("tapestry.production-mode") boolean productionMode, @Symbol("tapestry.component-render-tracing-enabled") boolean componentTracingEnabled, RequestGlobals requestGlobals)

- ## Method Details

  - ### get

    public ComponentPageElementResources get(ComponentResourceSelector selector)
    Description copied from interface: `ComponentPageElementResourcesSource`
    Gets (or creates) an instance of `ComponentPageElementResources` for the indicated selector.
    Specified by:
      `get` in interface `ComponentPageElementResourcesSource`
    Parameters:
      `selector` - to create the resources for
    Returns:
      the resources